{ pkgs, user, host, lib, ... }:
if (host != "NxACE") then 
{
  services.greetd = {
    enable = true;
    settings = rec {
      hyprland = {
        command = "${pkgs.greetd.tuigreet}/bin/tuigreet --time --remember --cmd Hyprland --remember-user-session --window-padding 5";
        user = user;
      };
      default_session = hyprland;
      vt = 2;
    };  
  };
  systemd.services.greetd.serviceConfig = {
    Type = "idle";
    StandardInput = "tty";
    StandardOutput = "tty";
    Standarderror = "journal"; # Without this errors will spam on screen
    # Without these bootlogs will spam on screen
    TTYReset = true;
    TTYVHangup = true;
    TTYVTDisallocate = true;
  };
} 
else 
{
  environment.systemPackages = with  pkgs; [
    sddm
    # where-is-my-sddm-theme
  ];
  services.xserver = {
    displayManager = {
      defaultSession = "hyprland";
      sddm = {
        enable = true;
        # theme = "where_is_my_sddm_theme";
        settings = {
          theme = {
            # background = /home/nx2/Pictures/
            passwordFontSize = 12;
            passwordInputCursorVisible = true;
          };
        };
      };
      autoLogin = lib.mkIf (host == "NxACE") {
        enable = true;
        user = "tv";
      };
    };
  };
}
